Difference between revisions of "Visual Editor Project"

From Eclipsepedia

Jump to: navigation, search
m (fix callisto link -- don't use | in non-wiki links!)
m (Development Resources: now works with Eclipse 3.4!)
Line 17: Line 17:
 
== Development Resources ==
 
== Development Resources ==
  
* [[VE/Installing | How To Install VE 1.3 for Eclipse 3.3 / Europa]] ''(subject to change, '''unsupported''')''
+
* [[VE/Installing | How To Install VE 1.3 for Eclipse 3.3 Europa / Eclipse 3.4 Ganymede]] ''(subject to change, '''unsupported''')''
 
* [[VE/Roadmap | Roadmap for the VE 1.3 Release]]
 
* [[VE/Roadmap | Roadmap for the VE 1.3 Release]]
 
* [[VE/Documentation | VE Documentation]]
 
* [[VE/Documentation | VE Documentation]]

Revision as of 01:01, 5 July 2008

The Eclipse Visual Editor project is a platform for creating GUI builders within Eclipse. The project currently provides support for WYSIWYG editing of Swing/AWT and SWT/RCP user interfaces.

NOTE: Current official builds of the Visual Editor require Eclipse 3.2 (Callisto).

Contents

Supported Platforms

The Visual Editor is currently supported on the following platforms:

  • Win32 - Swing/AWT, SWT
  • Linux
    • GTK2/x86 - Swing/AWT, SWT
    • GTK2/x86_64 - Swing/AWT, SWT
    • GTK2/ppc - Swing/AWT, SWT
    • Motif - Swing/AWT
  • Mac OS X 10.4 - Swing, SWT

SWT development requires Java 1.4.2 or later.

Development Resources

Release History

  • 1.2.2_jem (Current Release, for Eclipse 3.2 / Callisto) - Fri, 27 Oct 2006
  • 1.2.1 - Tue, 26 Sep 2006
  • 1.2 - Wed, 28 Jun 2006
  • 1.1.0.1 - Wed, 7 Sep 2005
  • 1.1 - Fri, 22 Jul 2005
  • 1.0.2.2 - Wed, 29 Jun 2005
  • 1.0.2.1 - Thu, 17 Mar 2005
  • 1.0.2 - Thu, 9 Dec 2004
  • 1.0.1.1 - Fri, 22 Oct 2004
  • 1.0 - Sun, 19 Sep 2004
  • 0.5.0 - Fri, 5 Dec 2003

See Also